package com.njcn.pojo.commons;

import javax.persistence.Transient;
import java.io.Serializable;

public class HttpResult implements Serializable {
	private Integer code;

	private String message;

	private Object body;

	//用户日记记录的一些信息
	@Transient
	private String userIndex;

	@Transient
	private String userName;

	@Transient
	private String operate;

	@Transient
	private String logType;

	@Transient
	private int level;

	@Transient
	private String result;

	@Transient
	private String ip;

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getUserIndex() {
		return userIndex;
	}

	public void setUserIndex(String userIndex) {
		this.userIndex = userIndex;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getOperate() {
		return operate;
	}

	public void setOperate(String operate) {
		this.operate = operate;
	}

	public String getLogType() {
		return logType;
	}

	public void setLogType(String logType) {
		this.logType = logType;
	}

	public int getLevel() {
		return level;
	}

	public void setLevel(int level) {
		this.level = level;
	}

	public Integer getCode() {
		return code;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Object getBody() {
		return body;
	}

	public void setBody(Object body) {
		this.body = body;
	}

	public String getResult() {
		return result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	@Override
	public String toString() {
		return "HttpResult{" +
				"code=" + code +
				", message='" + message + '\'' +
				", body=" + body +
				'}';
	}
}
